#undef	DEBUG


#include <stdio.h>
#include <errno.h>
#include <unistd.h>		/* getopt() */
#include <netdb.h>		/* gethostbyname(), h_errno */


#define	STD_CHANNEL	stdout		/* output channel */
#define HELP_CHANNEL	stdout	
#define	VERSION_CHANNEL	stdout
#define ERROR_CHANNEL	stderr
#define DEBUG_CHANNEL	stderr

#define	RETVAL_OK		0
#define	RETVAL_NO_NAME		1
#define	RETVAL_HOST_NOT_FOUND	2
#define	RETVAL_TRY_AGAIN	3
#define	RETVAL_NO_RECOVERY	4
#define	RETVAL_NO_ADDRESS	5
#define	RETVAL_BUG		6
#define	RETVAL_ERROR		7

#define VERSION_NUMBER		"0.01"
#define DATE_OF_LAST_MOD	"1999-10-13"
#define	MY_EMAIL_ADDRESS	"Steffen Solyga <solyga@absinth.net>"

#define	N_( A )			A
/* taken from resolv/herror.c of glibc-2.0.7 */
const char *h_errlist[] = {
        N_("Resolver Error 0 (no error)"),
        N_("Unknown host"),                     /* 1 HOST_NOT_FOUND */
        N_("Host name lookup failure"),         /* 2 TRY_AGAIN */
        N_("Unknown server error"),             /* 3 NO_RECOVERY */
        N_("No address associated with name"),  /* 4 NO_ADDRESS */
};

typedef unsigned char	UCHAR;
