.TH [%s PRG_NAME] [%d MANUAL_NUMBER] "[%s DATE_OF_LAST_MOD]" "Version [%s VERSION_NUMBER]" "[%s MANUAL_SECTION_STR]"
.SH NAME
[%s prg_name] \- get IP address of a host
.SH SYNOPSIS
.B [%s prg_name]
.RB [ -hV ]
.I host

.SH DESCRIPTION
.I [%s Prg_name]
tries to find out the IP address of
.I host
which is written to [%s STD_CHANNEL_STR] if determined successfully.
It is just a wrapper for the library function
.BR gethostbyname (3).

.SH OPTIONS
.TP
.B -h
display some helpful information on
.I [%s HELP_CHANNEL_STR]
and exit successfully
.TP
.B -V
display version and compilation info on
.I [%s VERSION_CHANNEL_STR]
and exit successfully

.SH RETURN VALUE
On success, [%d RETVAL_OK] is returned. On error, a value >0 is returned.

.SH ERRORS
.TP
.B [%d RETVAL_NO_NAME]
no hostname specified
.TP
.B [%d RETVAL_HOST_NOT_FOUND]
the specified host is unkown
.TP
.B [%d RETVAL_TRY_AGAIN]
a temporary error occurred on an authoritative name server, try again later
.TP
.B [%d RETVAL_NO_RECOVERY]
a non-recoverable name server error occurred
.TP
.B [%d RETVAL_NO_ADDRESS]
the requested name is valid but does not have an IP address
.TP
.B [%d RETVAL_BUG]
a program bug has seen the light
.TP
.B [%d RETVAL_ERROR]
the error is different from those explained above

.SH AUTHOR
[%s MY_EMAIL_ADDRESS]

.SH SEE ALSO
.BR gethostbyname (3)

